diff --git a/tests/test_formdata.py b/tests/test_formdata.py
index 122791879..842f5898e 100644
--- a/tests/test_formdata.py
+++ b/tests/test_formdata.py
@@ -1250,14 +1250,12 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert queryset.count == 4
     queryset = lazy_formdata.objects.filter_by('foo_foo').apply_filter_value('X')
     assert queryset.count == 0
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     queryset = lazy_formdata.objects.filter_by('unknown').apply_filter_value('X')
     assert queryset.count == 0
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.summary == 'Invalid filter "unknown"'
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.summary == 'Invalid filter "unknown"'
 
     queryset = lazy_formdata.objects.filter_by('datefield').apply_filter_value(
         datetime.date(2018, 7, 31).timetuple()
@@ -1273,33 +1271,29 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert queryset.count == 5
     queryset = lazy_formdata.objects.filter_by('datefield').apply_filter_value('not a date')
     assert queryset.count == 0
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.summary == 'Invalid value "not a date" for filter "datefield"'
-
-    if pub.is_using_postgresql():
-        queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(
-            datetime.date(2018, 7, 31).timetuple()
-        )
-        assert queryset.count == 6  # 1 + 5 null
-        queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(
-            datetime.date(2018, 7, 31)
-        )
-        assert queryset.count == 6
-        queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(
-            datetime.datetime(2018, 7, 31)
-        )
-        assert queryset.count == 6
-        queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value('2018-07-31')
-        assert queryset.count == 6
-        queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(None)
-        assert queryset.count == 6
-        queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value('still not a date')
-        assert queryset.count == 0
-        assert pub.loggederror_class.count() == 3
-        logged_error = pub.loggederror_class.select(order_by='id')[2]
-        assert logged_error.summary == 'Invalid value "still not a date" for filter "datefield"'
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.summary == 'Invalid value "not a date" for filter "datefield"'
+
+    queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(
+        datetime.date(2018, 7, 31).timetuple()
+    )
+    assert queryset.count == 6  # 1 + 5 null
+    queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(datetime.date(2018, 7, 31))
+    assert queryset.count == 6
+    queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(
+        datetime.datetime(2018, 7, 31)
+    )
+    assert queryset.count == 6
+    queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value('2018-07-31')
+    assert queryset.count == 6
+    queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value(None)
+    assert queryset.count == 6
+    queryset = lazy_formdata.objects.filter_by('datefield').apply_exclude_value('still not a date')
+    assert queryset.count == 0
+    assert pub.loggederror_class.count() == 3
+    logged_error = pub.loggederror_class.select(order_by='id')[2]
+    assert logged_error.summary == 'Invalid value "still not a date" for filter "datefield"'
 
     queryset = lazy_formdata.objects.filter_by('boolfield').apply_filter_value(True)
     assert queryset.count == 6
@@ -1311,9 +1305,8 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert queryset.count == 5
     queryset = lazy_formdata.objects.filter_by('boolfield').apply_filter_value(0)
     assert queryset.count == 5
-    if pub.is_using_postgresql():
-        queryset = lazy_formdata.objects.filter_by('boolfield').apply_exclude_value(0)
-        assert queryset.count == 6
+    queryset = lazy_formdata.objects.filter_by('boolfield').apply_exclude_value(0)
+    assert queryset.count == 6
 
     queryset = lazy_formdata.objects.filter_by('term1').apply_filter_value('3')
     assert queryset.count == 7
@@ -1321,11 +1314,10 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert queryset.count == 7
     queryset = lazy_formdata.objects.filter_by('term1').apply_filter_value('foobar')
     assert queryset.count == 0
-    if pub.is_using_postgresql():
-        queryset = lazy_formdata.objects.filter_by('term1').apply_exclude_value('3')
-        assert queryset.count == 4
-        queryset = lazy_formdata.objects.filter_by('term1').apply_exclude_value('foobar')
-        assert queryset.count == 11
+    queryset = lazy_formdata.objects.filter_by('term1').apply_exclude_value('3')
+    assert queryset.count == 4
+    queryset = lazy_formdata.objects.filter_by('term1').apply_exclude_value('foobar')
+    assert queryset.count == 11
 
     queryset = lazy_formdata.objects.filter_by('email').apply_filter_value('bar')
     assert queryset.count == 0
@@ -1382,11 +1374,10 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert tmpl.render(context) == '7'
     tmpl = Template('{{form_objects|filter_by:"foo_foo"|filter_value:"bar"|length}}')
     assert tmpl.render(context) == '7'
-    if pub.is_using_postgresql():
-        tmpl = Template('{{form_objects|filter_by:"foo_foo"|exclude_value:"bar"|count}}')
-        assert tmpl.render(context) == '4'
-        tmpl = Template('{{form_objects|filter_by:"foo_foo"|exclude_value:"bar"|length}}')
-        assert tmpl.render(context) == '4'
+    tmpl = Template('{{form_objects|filter_by:"foo_foo"|exclude_value:"bar"|count}}')
+    assert tmpl.render(context) == '4'
+    tmpl = Template('{{form_objects|filter_by:"foo_foo"|exclude_value:"bar"|length}}')
+    assert tmpl.render(context) == '4'
 
     pub.substitutions.feed(formdata)
     tmpl = Template('{{form_objects|filter_by:"foo_foo"|filter_value:form_var_foo_foo|count}}')
@@ -1397,15 +1388,14 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert tmpl.render(context) == '5'
     tmpl = Template('{{form_objects|filter_by:"term1"|filter_value:form_var_term1|count}}')
     assert tmpl.render(context) == '7'
-    if pub.is_using_postgresql():
-        tmpl = Template('{{form_objects|filter_by:"foo_foo"|exclude_value:form_var_foo_foo|count}}')
-        assert tmpl.render(context) == '4'
-        tmpl = Template('{{form_objects|filter_by:"datefield"|exclude_value:form_var_datefield|count}}')
-        assert tmpl.render(context) == '6'
-        tmpl = Template('{{form_objects|filter_by:"boolfield"|exclude_value:form_var_boolfield|count}}')
-        assert tmpl.render(context) == '6'
-        tmpl = Template('{{form_objects|filter_by:"term1"|exclude_value:form_var_term1|count}}')
-        assert tmpl.render(context) == '4'
+    tmpl = Template('{{form_objects|filter_by:"foo_foo"|exclude_value:form_var_foo_foo|count}}')
+    assert tmpl.render(context) == '4'
+    tmpl = Template('{{form_objects|filter_by:"datefield"|exclude_value:form_var_datefield|count}}')
+    assert tmpl.render(context) == '6'
+    tmpl = Template('{{form_objects|filter_by:"boolfield"|exclude_value:form_var_boolfield|count}}')
+    assert tmpl.render(context) == '6'
+    tmpl = Template('{{form_objects|filter_by:"term1"|exclude_value:form_var_term1|count}}')
+    assert tmpl.render(context) == '4'
 
     tmpl = Template('{{form.objects|exclude_self|filter_by:"foo_foo"|filter_value:form_var_foo_foo|count}}')
     assert tmpl.render(context) == '6'
@@ -1484,10 +1474,9 @@ def test_lazy_formdata_queryset_filter(pub, variable_test_data):
     assert tmpl.render(context) == '0'
     tmpl = Template('{{form_objects|filter_by_internal_id:"%s"|count}}' % 'invalid value')
     assert tmpl.render(context) == '0'
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 4
-        logged_error = pub.loggederror_class.select(order_by='id')[3]
-        assert logged_error.summary == 'Invalid value "invalid value" for "filter_by_internal_id"'
+    assert pub.loggederror_class.count() == 4
+    logged_error = pub.loggederror_class.select(order_by='id')[3]
+    assert logged_error.summary == 'Invalid value "invalid value" for "filter_by_internal_id"'
 
     # test |filter_by_number
     context = pub.substitutions.get_context_variables(mode='lazy')
@@ -1665,9 +1654,6 @@ def test_lazy_formdata_queryset_get_from_first(pub, variable_test_data):
 
 
 def test_lazy_formdata_queryset_order_by(pub, variable_test_data):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-
     lazy_formdata = variable_test_data
     data_class = lazy_formdata._formdef.data_class()
     for i in range(6):
@@ -1818,14 +1804,13 @@ def test_lazy_global_forms(pub):
     custom_view4.store()
     tmpl = Template('{{forms|objects:"foobarlazy"|with_custom_view:"unknown-filter"|count}}')
     assert tmpl.render(context) == '0'
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[0]
-        assert logged_error.summary == 'Invalid filter "42"'
-        assert logged_error.formdef_id == str(formdef.id)
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.summary == 'Invalid filter "foobar"'
-        assert logged_error.formdef_id == str(formdef.id)
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[0]
+    assert logged_error.summary == 'Invalid filter "42"'
+    assert logged_error.formdef_id == str(formdef.id)
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.summary == 'Invalid filter "foobar"'
+    assert logged_error.formdef_id == str(formdef.id)
 
 
 def test_lazy_variables(pub, variable_test_data):
@@ -2664,11 +2649,10 @@ def test_form_digest_error(pub):
     formdata.store()
     assert formdef.data_class().get(formdata.id).digests['default'] == 'ERROR'
 
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.summary == 'Could not render digest (default)'
-        assert logged_error.formdata_id == str(formdata.id)
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.summary == 'Could not render digest (default)'
+    assert logged_error.formdata_id == str(formdata.id)
 
     formdef.digest_templates = {
         'default': 'plop plop',
@@ -2680,11 +2664,10 @@ def test_form_digest_error(pub):
     formdata.store()
     assert formdef.data_class().get(formdata.id).digests['custom-view:foobar'] == 'ERROR'
 
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.summary == 'Could not render digest (custom view "foobar")'
-        assert logged_error.formdata_id == str(formdata.id)
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.summary == 'Could not render digest (custom view "foobar")'
+    assert logged_error.formdata_id == str(formdata.id)
 
 
 def test_lazy_formdata_decimal_filter(pub):
diff --git a/tests/test_formdef.py b/tests/test_formdef.py
index 0311eaf16..48e0014fa 100644
--- a/tests/test_formdef.py
+++ b/tests/test_formdef.py
@@ -121,13 +121,12 @@ def test_title_change(pub):
     assert FormDef.get(formdef.id).url_name == 'foo'
     assert FormDef.get(formdef.id).internal_identifier == 'bar'
 
-    if not pub.is_using_postgresql():
-        # makes sure the internal_name doesn't change if there are submitted forms
-        formdef.data_class()().store()
-        formdef.name = 'baz'
-        formdef.store()
-        assert FormDef.get(formdef.id).name == 'baz'
-        assert FormDef.get(formdef.id).internal_identifier == 'bar'  # didn't change
+    # makes sure the internal_name doesn't change if there are submitted forms
+    formdef.data_class()().store()
+    formdef.name = 'baz'
+    formdef.store()
+    assert FormDef.get(formdef.id).name == 'baz'
+    assert FormDef.get(formdef.id).internal_identifier == 'bar'  # didn't change
 
 
 def test_overlong_slug(pub):
diff --git a/tests/test_sessions.py b/tests/test_sessions.py
index 43f846e06..1b969383d 100644
--- a/tests/test_sessions.py
+++ b/tests/test_sessions.py
@@ -224,10 +224,6 @@ def test_inactive_user(pub, user, app):
 
 
 def test_transient_data_removal(pub, app):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.session_manager.session_class.wipe()
     sql.TransientData.wipe()
     resp = app.get('/')
@@ -251,10 +247,6 @@ def test_transient_data_removal(pub, app):
 
 
 def test_magictoken_migration(pub, app):
-    if not pub.is_using_postgresql():
-        pytest.skip('this requires SQL')
-        return
-
     pub.session_manager.session_class.wipe()
     sql.TransientData.wipe()
     resp = app.get('/')
diff --git a/tests/utilities.py b/tests/utilities.py
index 01e1c32f0..ac1f913bd 100644
--- a/tests/utilities.py
+++ b/tests/utilities.py
@@ -85,7 +85,6 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
         pub.custom_view_class = sql.CustomView
         pub.snapshot_class = sql.Snapshot
         pub.loggederror_class = sql.LoggedError
-        pub.is_using_postgresql = lambda: True
     else:
         pub.user_class = User
         pub.role_class = Role
@@ -93,7 +92,6 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
         pub.tracking_code_class = TrackingCode
         pub.session_class = sessions.BasicSession
         pub.custom_view_class = custom_views.CustomView
-        pub.is_using_postgresql = lambda: False
 
     pub.session_manager_class = sessions.StorageSessionManager
     pub.session_manager = pub.session_manager_class(session_class=pub.session_class)
